Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 345039 - [en-CA] English (Canada): Firefox
: [en-CA] English (Canada): Firefox
Status: RESOLVED DUPLICATE of bug 551156
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Localization Registration Bugs
: 289651 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2006-07-18 06:12 PDT by Kyle Korleski
Modified: 2015-01-25 09:41 PST (History)
21 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description Kyle Korleski 2006-07-18 06:12:41 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20060620 Firefox/ Flock/0.7.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20060620 Firefox/ Flock/0.7.1

My name is Kyle Korleski
My e-mail address is
My IM identity on AIM is kylekorleski
My IM identity on MSN is

I am requesting the ability to translate Mozilla Firefox into Canadian English.

Reproducible: Always
Comment 1 Axel Hecht [:Pike] 2006-07-18 06:16:20 PDT
CC'ing Canada, care to comment? How much of a difference is en-ca compared to en-US or en-GB?
Comment 2 Kyle Korleski 2006-07-18 06:28:12 PDT
Canadian English and British English are different and here are just a few examples (props for this list goes to Wikipedia)

- Canadian students add grade before their grade level, instead of after it as is the usual, but not sole, American practice. For example, a student in "10th grade" in the U.S. would be in "Grade 10" in Canada. (In the UK the order is as in Canada, but it would be for example "Year 10" rather than "Grade 10". Quebec anglophones may instead say "sec 5" [secondary 5] for Grade 11.) Canadian students receive marks instead of grades in school. ("What mark did you get on that exam?") They also can lose marks on an exam rather than points. ("I lost 5 marks on this question.") Students write exams, they do not take them. The persons who supervise students during an exam are generally called invigilators as in Britain, or sometimes proctors as in the U.S.; usage may depend on the region or even the individual institution.

- Canadian universities publish calendars, not catalogues as in the U.S. (Sears has a catalogue.) It should also be noted that in Canada, the specific high school grade (e.g. Grade 9 or Grade 12) or university year is stated and not the American terms freshman or sophomore.

- The term college, which refers to post-secondary education in general in the U.S., refers in Canada to either a post-secondary technical or vocational institution, or to one of the colleges that exist as federated schools within some Canadian universities. Most often, a "college" is a community college, not a university. It may also refer to a CÉGEP in Quebec. In Canada a "college student" might denote someone obtaining a diploma in plumbing while "university student" is the term for someone earning a bachelor's degree. For that reason, saying you are "going to college" does not have the same meaning as "going to university", unless someone is being specific about which level of post-secondary education they are referring to.

- Adoption of metric units is more advanced in Canada than in the U.S. due to governmental efforts during the Trudeau era; Canadians still often use pounds, feet, and inches to measure themselves, cups, teaspoons, and tablespoons in the kitchen and miles for distances (less common), but outdoor temperatures, fuel volume, and highway speeds are almost always given in metric figures. The term "clicks" is sometimes used interchangeably with kilometres. The prices of gasoline — the American term is preferred over petrol — require some awkward translation between Canadian and American figures. Even before the metrication efforts of the 1970s, the translation of "dollars per gallon" required not only replacing Canadian vs. American currencies but also a conversion between Imperial (4.5 L) vs. U.S. (3.8 L) gallons. It is common to express the rate of gas consumption as mileage, despite the typical notation of gas volumes in litres. However most people still refer to their mileage in "miles per gallon", retaining the use of the Imperial gallon, sometimes to much confusion.

- Although Canadian lexicon features both railway and railroad, railway is the usual term (witness Canadian National Railway and Canadian Pacific Railway); most rail terminology in Canada however follows American usage (e.g., ties and cars rather than sleepers and wagons, although railway employees themselves say sleeper.)
- Canada and the U.S. share the same automotive terminology.

- The term Tory, used in Britain with a similar meaning, denotes a supporter of the federal Conservative Party of Canada, the historic Progressive Conservative Party of Canada or a provincial Progressive Conservative party; the U.S. use of Tory to mean the Loyalists in the time of the American Revolution is unknown in Canada, where they are called United Empire Loyalists.
- To table a document in Canada is to present it (as in Britain), whereas in the U.S. it means to withdraw it from consideration.
- Several political terms are uniquely Canadian, including riding (as a general term for a parliamentary constituency or electoral district as opposed to the Yorkshire ridings in England).
- "liberal" in Canada does not have an overtly pejorative meaning as it has come to in the United States.

- While in England, Wales, Ireland, New South Wales and Queensland solicitors and barristers are distinct, the legal profession being divided and the terms having a practical meaning, in Canada (except civil law Quebec) the profession is fused and the same lawyer legally occupies both roles (even though most Canadian lawyers will choose to act in only one of the two). The terms Barrister and Solicitor and Q.C. (Queen's Counsel, an honour given in some provinces for a certain level of experience or, be it said, service to the political party in office — the practical distinction between QCs or SCs ["Senior Counsel"] and junior counsel in jurisdictions with a divided profession is unknown in Canada) are normally used as formal or official titles; lawyer, or counsel, predominates in everyday contexts, and sometimes (but very rarely) the American term attorney is encountered. As in England, a district attorney is called a crown attorney (in Ontario), crown counsel (in British Columbia), crown prosecutor or the crown. In court — at least in B.C. — crown prosecutors are addressed as "Mr Crown" or "Madam Crown."

- Prior to the fusion of law and equity solicitors and attorneys practised, respectively, in the courts of law and equity. When the courts were fused, one of the two terms became superfluous; Americans chose attorney; the English, Irish, Canadians, Australians, and New Zealanders chose solicitor (although one still hears attorney from time to time in New South Wales, where law and equity were not fused until 1970). In the Indian subcontinent and Malaysia, perplexingly, the term advocate is used — in Canada this would indicate a Quebec legal practitioner who is equivalent to a barrister in England. Among Canadian lawyers themselves, especially those practising in Ontario, the word litigator is often used to refer to a lawyer who works mostly or exclusively as a barrister.

The words advocate and notary, which are two separate and distinct professions in civil law Quebec, are used to refer to that province's equivalent of barrister and solicitor, respectively. In Canada's common law provinces and territories, the word notary means strictly a notary public, a more limited legal professional who is not required to possess a law degree to practise and who may not represent a person in a court case or any complex business transaction. Although Canadian lawyers may qualify to practise the powers of a notary public (e.g. use of the notarial seal on documents), only the smallest law firms indicate their notary public capacity in their letterheads and business cards. Instead, it is very common for Canadian law firms to title themselves in the following manner: [name of firm's partners], Barristers and Solicitors. Further, it is common for an individual lawyer to title him/herself as Barrister and Solicitor even though he/she normally practises in only one of these two capacities.

Although the legal community in Canada recognizes the conceptual distinction between a barrister (a court and tribunal focused lawyer) and a solicitor (a office and boardroom focused lawyer), the word solicitor is still often used to refer to a Canadian lawyer in general. For example, Canadian court documents would contain a phrase such as "John Smith, solicitor for the Plaintiff" even though "John Smith" probably works mostly, if not exclusively, as a barrister or litigator representing clients in court. Another example would be how a Canadian lawyer introduces him/herself in a letter to an opposing party or an opposing lawyer: "I am the solicitor for Mr. Tom Jones, who had signed a contractual agreement with your client regarding...". Courthouses use the phrase solicitor on record to mean the lawyer who has been officially recorded in the court's registry as the representing lawyer for a particular party in a particular case, even if this lawyer practises strictly as a barrister or litigator.

Meanwhile, the word attorney is almost always used in Canada to mean

    * an individual who has been granted Power of Attorney;
    * a lawyer who prosecutes criminal cases on behalf of the government, i.e. 'Crown Attorney'
    * an American lawyer with whom a Canadian lawyer is interacting (via telephone, email, fax, correspondence, etc.) regarding a cross-border transaction or legal case; or
    * an American lawyer who works in Canada and advises Canadian clients on issues of American law.

Formerly, justices of the provincial Supreme Courts and Courts of Queens Bench were referred to as "The Honourable Mr/Madam Justice N." and addressed as "My Lord" or "My Lady" whereas district or county court judges were "His/Her Honour Judge N." and addressed as "Your Honour." With the abolition of the county and district courts and, somewhat previously, the upgrading of magistrates courts to provincial courts, the distinction passed into desuetude and Provincial Court judges' address was upgraded to "Your Honour." Meanwhile, Chief Justice McLachlin of the Supreme Court of Canada has indicated a preference for "Your Honour" and the elimination of "My Lord" and "My Lady." It remains to be seen whether this will take hold.

As a point of interest, Canadian lawyers and judges almost always cite England's Oxford Dictionary, and almost never America's Merriam-Webster Dictionary, as an authoritative source for the definition of a non-legal or generic word. Yet, Black's Law Dictionary, an American legal dictionary with American legal citations, is considered the more authoritative legal dictionary despite the existence of The Dictionary of Canadian Law by Daphne A. Dukelow, a well-known law dictionary with Canadian legal citations and the fact that numerous U.S. legal doctrines and terms have no application in Canadian common law.

Household items

Terms common in Canada (and in Britain) but not in the U.S. are:

    * tin (as in "tin of tuna") rather than can; however, as elsewhere, the latter is used more often.
    * cutlery rather than silverware
    * serviette for a table napkin. Considered a give-away of low-class antecedents in the UK and also generally in English Canada, but sometimes in Canada assumed to be indicative of a knowledge of French and therefore sometimes to be heard among upper middle class people.
    * tap, conspicuously more common than faucet.
    * The chiefly Canadian chesterfield and the more international couch and sofa are all used, with chesterfield sometimes referring as in classic furnishing terminology to sofas whose arms are the same height as the back but more usually to any couch or sofa. However the term chesterfield is largely in decline among younger generations in the western and central regions.


Food and beverage

    * Most Canadians as well as Americans in the Northwest, North Central, and Inland North prefer pop over soda to refer to a carbonated beverage. (But neither term is dominant in British English; see further at Soft drink.)
    * What Americans call Canadian bacon is named back bacon in Canada.
    * What most Americans call a candy bar is usually known as a chocolate bar (as in the UK).
    * In Canada the herb and given masculine name basil is pronounced with a short A as internationally rather than a long A as in in the USA.



A rubber in the U.S. and Canada is slang for a condom; however, in Canada it is sometimes another term for eraser (as it is in England) and, in the plural, for overshoes or galoshes. On the other hand an elastic in the Canadian English is used interchangeably with the American rubber-band . In the same vein is ****, which in the U.S. means "angry" but in Canada can also mean "drunk" but rarely; the Canadian equivalent to the American usage most often requires the context **** off, although the off is not mandatory. Similarly, **** up means "(got) drunk" and the phrase "it was a real ****-up" means that everybody involved became really inebriated.

The terms "booter" and "soaker" refer to getting water in one's shoe. The former is generally more common in the prairies, the latter in the rest of Canada.

The word bum can refer either to the buttocks (as in Britain), or, derogatorily, to a homeless person (as in the U.S.). However, the "buttocks" sense does not have the indecent character it retains in British and Australasian use, as it is commonly used as a polite or childish euphemism for ruder words such as butt, **** (commonly used in Atlantic Canada and among older people in Ontario and to the west), or ass (more idiomatic among younger people west of the Ottawa River). Robert Munsch found it necessary to change "You are a bum" to "You are a toad" in the British edition of his children's story The Paper Bag Princess. The 1940s United Church Young People's Union song "There's not a bum in the Yonge Street Mission/... Put a nickel in the drum, save another dirty bum" provokes considerable shock among fellow Methodists in other Commonwealth countries. In both of these examples, these are usages to mean a homeless or shiftless person.


    * The name of the letter Z is normally the Anglo-European (and French) zed; the American zee is not unknown in Canada, but it is often stigmatized.
    * When writing, Canadians will start a sentence with As well, in the sense of "in addition".
    * Occasionally, Canadian usage omits the definite article with the word hospital after to or in. That is, many Canadians go to the hospital or stay in the hospital, as in the U.S.; some go to hospital or stay in hospital, as in Britain and elsewhere. (An example from CBC News: [2])



Other lexical items coming from Britain are lieutenant (pronounced /lɛf'tɛnənt/) other than in the UK Royal Navy) and light standard (an obsolete British word for lamp-post, rarely used today). Light standard is used more often when referring to the lights at the end of driveways than street lighting.

Unlike the American names, World War I and World War II, it is proper Canadian English to say the First World War, (or the Great War) and the Second World War. Although the WWI and WWII uses do see popular use in Canadian public use, they are considered substandard in some Canadian academic circles.
Comment 3 :Gavin Sharp [email:] 2006-07-18 07:43:05 PDT
Almost none of the differences in that list are relevant to a web browser and it's strings.
Comment 4 Kyle Korleski 2006-07-18 07:57:16 PDT
Yes, but there is a difference between Canadian English and British English.
Comment 5 Mike Shaver (:shaver -- probably not reading bugmail closely) 2006-07-21 19:35:28 PDT
That list would have been more interesting if it had been restricted to differences between en-CA and en-GB, and not spent quite so much space on the differences between en-US and en-CA/GB.

Kyle: can you find the strings or other l10n parameters that would actually differ between en-GB and en-CA, in Firefox?  The nature and scale of that list would inform us more more usefully than general usage commentary.
Comment 6 Cameron 2006-08-01 06:17:21 PDT
More useful is the section on spelling:

Even if you just took en-US or en-GB and just changed the default search (to Google Canada,) default accept language, default news live bookmark, and a few other minor things, I think Canadians would like that more than the existing en-US or en-GB builds. I was actually thinking of doing this recently for Australian English...
Comment 7 :Gavin Sharp [email:] 2006-08-23 14:55:43 PDT
*** Bug 289651 has been marked as a duplicate of this bug. ***
Comment 8 Navid 2006-10-24 19:45:42 PDT
I agree with Gavin.  I used to download the en-GB build because it is more in line with Canadian spelling than the en-US build, but the search links were annoying.  So basically creating an en-CA build would take the en-GB build and change the search links (like to Is there some documentation to how to go about doing so and to get registered, I'll be willing to help out.

Comment 9 Matthew Darwin 2007-03-13 20:22:55 PDT
Would this bug being resolved also ad an en-CA dictionary?  With the new
auto-underline in text boxes I get annoyed with the missing words.

I'm willing to help on this. 
Comment 10 Cameron 2007-03-15 13:52:19 PDT
(In reply to comment #9)
> Would this bug being resolved also ad an en-CA dictionary?  With the new
> auto-underline in text boxes I get annoyed with the missing words.
> I'm willing to help on this. 

Download the en-CA dictionary from and repackage it with (details at ) then register at and upload the add-on to the developer control panel. I believe you will need to modify the install.rdf file to set the min and max appversions correctly as bsmedberg's tool is not kept up to date with the latest application releases. IMO the target applications section should look something like this:

    <!-- Firefox -->
    <!-- Thunderbird -->
    <!-- SeaMonkey -->
Comment 11 chris hofmann 2007-08-27 19:01:40 PDT
just an fyi on some research I've been doing for a possible en-IN version. The changes between en-US and en-GB are small.

Something like substitution of spelling on 7 words that appear in the UI, plus some control characters.

>> color(s) -> colour(s)
>> dialogue  -> dialog
>> Go forward -> Go forwards
>> Minimize -> Minimise
>> Center -> Centre
>> Organize -> Organise
>> Customize -> Customise
>> hyphination on 2 words that appear in the UI
>> popup -> pop-up
>> Sans-serif -> Sans serif
Comment 12 chris hofmann 2007-09-11 08:42:59 PDT
you can track the work that we are doing for en-IN that might be related to a CA version in bug 392945
Comment 13 Gervase Markham [:gerv] 2007-09-19 02:37:51 PDT
Are there still people CCed here interested in doing en-CA?

Comment 14 Mic Berman 2007-09-20 10:57:02 PDT
Comment 15 Gervase Markham [:gerv] 2007-09-24 14:18:21 PDT
Well, Mic, I shouldn't need to tell _you_ about our new procedures, because you helped write them :-) 

If someone wants to do en-CA, they should create themselves a wiki page, and make a language pack distributable through a.m.o. Then we are in a position to consider making it official - although that's a separate step with its own process. And given the closeness of en-CA to other en builds, I think it's unlikely myself while there are still new languages out there...


Comment 16 chris hofmann 2007-09-25 12:37:44 PDT
IMHO creating lang packs for en-CA, and en-IN type builds is pretty much a waste of time.   lang packs don't pick up changes to search engines, and the kind of customizations that we want to acheive with these kinds of builds.

if you create a en-CA lang pack based on en-GB, and then applied it to an en-BG build the only change you would see is a switch to a new user agent.

see and follow-on comments about the experiement that was done to create an en-IN lang pack.

If we are going to create these country rebranded builds we should just create and check-in the changes and get build automation turned on.   If we don't think that would scale for some reason (Axel may have thoughts on this...)  then we ought to start the discussion about how to accomplish this kind of country/locale customization.    Maybe building a Canadian extension, Indian extension, and things like a Mexican extension that changes the user agent and drops in a better set of locale specific search engines and customizations is a better route to take for these locales where there will be minimal or no changes in the base translation.

Comment 17 Axel Hecht [:Pike] 2007-09-25 13:08:38 PDT
en-IN was a *one* off, and is not suitable for general consumption.

A discussion on what can be done alternatively is under way, but not subject to this bug.
Comment 18 Mic Berman 2008-01-08 06:06:04 PST
kyle - are you still out there and interested?
Comment 19 Gervase Markham [:gerv] 2008-05-14 02:53:59 PDT
Resolving INCOMPLETE due to lack of interest.

Comment 20 Richard416282 2010-04-04 09:50:19 PDT
Hello All: I see from the discussion that there has not been much on this type of l10n adaptation. I hope to change this. Now, since I am a new person to this chain , perhaps someone can fill me in with the details, and the progress, so far. I am sure that there are others, however, for a variety of reasons. there is yet to be a en-CA build. I hope to get in touch with the dev's of the -CA dictionaries and other guides to blend into the next branch (2010-04-xx), but not so sure as to the components needed to build , test, debug, scratch head, re-build routine, but am sure to get bits and pieces as I go. 

Anyone care to forward their results , are free to do so, just add the text [Mozilla-en-CA] to the subject heading, so it gets past my auto kill file will be fine.

Richard Rieger (Pronounced R-ee-g-er)
Comment 21 Richard Newman [:rnewman] 2015-01-25 09:41:36 PST
Forward-duping to a live bug.

*** This bug has been marked as a duplicate of bug 551156 ***

Note You need to log in before you can comment on or make changes to this bug.